#rh-7.0-2

%define name	basesystem
%define version	2014
%define release	%mkrel 1 

Summary:	The skeleton package which defines a simple Linux system
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Base
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	kernel basesystem-minimal
Requires:	bootloader
Requires:	mkinitrd

%package minimal
Summary:	The skeleton package which defines a simple Linux system for chroot systems
Group:		System/Base
Requires:	setup filesystem sed initscripts kbd utempter
Requires:	chkconfig coreutils sysvinit crontabs dev
Requires:	e2fsprogs etcskel findutils grep gzip less 
Requires:	logrotate losetup mingetty mount net-tools passwd procps
Requires:	psmisc rootfiles rpm sash shadow-utils 
Requires:	stat tar termcap time util-linux vim
Requires:	vixie-cron which perl-base common-licenses
Requires:	module-init-tools
Requires:	pclinuxos-release
Requires:	syslog-daemon
Requires:	bzip2 xz
Requires:	timezone
Requires:	libgcc
Requires:	apt-sources-list

%package uml
Summary:	The skeleton package which defines a simple Linux system to be run under UML
Group:		System/Base
Requires:	basesystem-minimal
Requires:	dhcp-client


%description
Basesystem defines the components of a basic  Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

%description minimal
Basesystem defines the components of a basic  Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

%description uml
Basesystem defines the components of a basic  Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

This package can be used to setup a full and working system runned with
kernel-uml, using urpmi %{name}-uml  --root ...

%files
%files minimal
%files uml


%changelog
* Fri Feb 07 2014 bb <bb> 2014-1pclos2014
- update add apt-sources-list

* Sun Aug 07 2011 Texstar <texstar at gmail.com> 2011-1pclos2011
- 2011
